
export enum ErrorCode {
    'ILLEGAL_ARGUMENT' = 0,
    'AUTHENTICATION_FAILED' = 1,
    'DB_FAILED' = 2,
    'INVALID_STATE' = 3,
    'EXCESSIVE_ACCESS' = 4,
    'NOT_FOUND' = 5,
    'INVALID_MID' = 9,
    'NOT_A_MEMBER' = 10,
    'INVALID_LENGTH' = 6,
    'NOT_AVAILABLE_USER' = 7,
    'NOT_AUTHORIZED_DEVICE' = 8,
    'NOT_AUTHORIZED_SESSION' = 14,
    'INCOMPATIBLE_APP_VERSION' = 11,
    'NOT_READY' = 12,
    'NOT_AVAILABLE_SESSION' = 13,
    'SYSTEM_ERROR' = 15,
    'NO_AVAILABLE_VERIFICATION_METHOD' = 16,
    'NOT_AUTHENTICATED' = 17,
    'INVALID_IDENTITY_CREDENTIAL' = 18,
    'NOT_AVAILABLE_IDENTITY_IDENTIFIER' = 19,
    'INTERNAL_ERROR' = 20,
    'NO_SUCH_IDENTITY_IDENFIER' = 21,
    'DEACTIVATED_ACCOUNT_BOUND_TO_THIS_IDENTITY' = 22,
    'ILLEGAL_IDENTITY_CREDENTIAL' = 23,
    'UNKNOWN_CHANNEL' = 24,
    'NO_SUCH_MESSAGE_BOX' = 25,
    'NOT_AVAILABLE_MESSAGE_BOX' = 26,
    'CHANNEL_DOES_NOT_MATCH' = 27,
    'NOT_YOUR_MESSAGE' = 28,
    'MESSAGE_DEFINED_ERROR' = 29,
    'USER_CANNOT_ACCEPT_PRESENTS' = 30,
    'USER_NOT_STICKER_OWNER' = 32,
    'MAINTENANCE_ERROR' = 33,
    'ACCOUNT_NOT_MATCHED' = 34,
    'ABUSE_BLOCK' = 35,
    'NOT_FRIEND' = 36,
    'NOT_ALLOWED_CALL' = 37,
    'BLOCK_FRIEND' = 38,
    'INCOMPATIBLE_VOIP_VERSION' = 39,
    'INVALID_SNS_ACCESS_TOKEN' = 40,
    'EXTERNAL_SERVICE_NOT_AVAILABLE' = 41,
    'NOT_ALLOWED_ADD_CONTACT' = 42,
    'NOT_CERTIFICATED' = 43,
    'NOT_ALLOWED_SECONDARY_DEVICE' = 44,
    'INVALID_PIN_CODE' = 45,
    'NOT_FOUND_IDENTITY_CREDENTIAL' = 46,
    'EXCEED_FILE_MAX_SIZE' = 47,
    'EXCEED_DAILY_QUOTA' = 48,
    'NOT_SUPPORT_SEND_FILE' = 49,
    'MUST_UPGRADE' = 50,
    'NOT_AVAILABLE_PIN_CODE_SESSION' = 51,
    'EXPIRED_REVISION' = 52,
    'NOT_YET_PHONE_NUMBER' = 54,
    'BAD_CALL_NUMBER' = 55,
    'UNAVAILABLE_CALL_NUMBER' = 56,
    'NOT_SUPPORT_CALL_SERVICE' = 57,
    'CONGESTION_CONTROL' = 58,
    'NO_BALANCE' = 59,
    'NOT_PERMITTED_CALLER_ID' = 60,
    'NO_CALLER_ID_LIMIT_EXCEEDED' = 61,
    'CALLER_ID_VERIFICATION_REQUIRED' = 62,
    'NO_CALLER_ID_LIMIT_EXCEEDED_AND_VERIFICATION_REQUIRED' = 63,
    'MESSAGE_NOT_FOUND' = 64,
    'INVALID_ACCOUNT_MIGRATION_PINCODE_FORMAT' = 65,
    'ACCOUNT_MIGRATION_PINCODE_NOT_MATCHED' = 66,
    'ACCOUNT_MIGRATION_PINCODE_BLOCKED' = 67,
    'INVALID_PASSWORD_FORMAT' = 69,
    'FEATURE_RESTRICTED' = 70,
    'MESSAGE_NOT_DESTRUCTIBLE' = 71,
    'PAID_CALL_REDEEM_FAILED' = 72,
    'PREVENTED_JOIN_BY_TICKET' = 73,
    'SEND_MESSAGE_NOT_PERMITTED_FROM_LINE_AT' = 75,
    'SEND_MESSAGE_NOT_PERMITTED_WHILE_AUTO_REPLY' = 76,
    'SECURITY_CENTER_NOT_VERIFIED' = 77,
    'SECURITY_CENTER_BLOCKED_BY_SETTING' = 78,
    'SECURITY_CENTER_BLOCKED' = 79,
    'TALK_PROXY_EXCEPTION' = 80,
    'E2EE_INVALID_PROTOCOL' = 81,
    'E2EE_RETRY_ENCRYPT' = 82,
    'E2EE_UPDATE_SENDER_KEY' = 83,
    'E2EE_UPDATE_RECEIVER_KEY' = 84,
    'E2EE_INVALID_ARGUMENT' = 85,
    'E2EE_INVALID_VERSION' = 86,
    'E2EE_SENDER_DISABLED' = 87,
    'E2EE_RECEIVER_DISABLED' = 88,
    'E2EE_SENDER_NOT_ALLOWED' = 89,
    'E2EE_RECEIVER_NOT_ALLOWED' = 90,
    'E2EE_RESEND_FAIL' = 91,
    'E2EE_RESEND_OK' = 92,
    'HITOKOTO_BACKUP_NO_AVAILABLE_DATA' = 93,
    'E2EE_UPDATE_PRIMARY_DEVICE' = 94,
    'SUCCESS' = 95,
    'CANCEL' = 96,
    'E2EE_PRIMARY_NOT_SUPPORT' = 97,
    'E2EE_RETRY_PLAIN' = 98,
    'E2EE_RECREATE_GROUP_KEY' = 99,
    'E2EE_GROUP_TOO_MANY_MEMBERS' = 100,
    'SERVER_BUSY' = 101,
    'NOT_ALLOWED_ADD_FOLLOW' = 102,
    'INCOMING_FRIEND_REQUEST_LIMIT' = 103,
    'OUTGOING_FRIEND_REQUEST_LIMIT' = 104,
    'OUTGOING_FRIEND_REQUEST_QUOTA' = 105,
    'DUPLICATED' = 106,
    'BANNED' = 107,
    'NOT_AN_INVITEE' = 108,
    'NOT_AN_OUTSIDER' = 109,
    'EMPTY_GROUP' = 111,
    'EXCEED_FOLLOW_LIMIT' = 112,
    'UNSUPPORTED_ACCOUNT_TYPE' = 113
  };
  export enum ProfileAttribute {
    'ALL' = 511,
    'EMAIL' = 1,
    'DISPLAY_NAME' = 2,
    'PHONETIC_NAME' = 4,
    'PICTURE' = 8,
    'STATUS_MESSAGE' = 16,
    'ALLOW_SEARCH_BY_USERID' = 32,
    'ALLOW_SEARCH_BY_EMAIL' = 64,
    'BUDDY_STATUS' = 128,
    'MUSIC_PROFILE' = 256,
    'AVATAR_PROFILE' = 512
  };
  export enum SettingsAttributeEx {
    'NOTIFICATION_ENABLE' = 0,
    'NOTIFICATION_MUTE_EXPIRATION' = 1,
    'NOTIFICATION_NEW_MESSAGE' = 2,
    'NOTIFICATION_GROUP_INVITATION' = 3,
    'NOTIFICATION_SHOW_MESSAGE' = 4,
    'NOTIFICATION_INCOMING_CALL' = 5,
    'NOTIFICATION_SOUND_MESSAGE' = 8,
    'NOTIFICATION_SOUND_GROUP' = 9,
    'NOTIFICATION_DISABLED_WITH_SUB' = 16,
    'NOTIFICATION_PAYMENT' = 17,
    'NOTIFICATION_MENTION' = 40,
    'NOTIFICATION_THUMBNAIL' = 45,
    'PRIVACY_SYNC_CONTACTS' = 6,
    'PRIVACY_SEARCH_BY_PHONE_NUMBER' = 7,
    'PRIVACY_SEARCH_BY_USERID' = 13,
    'PRIVACY_SEARCH_BY_EMAIL' = 14,
    'PRIVACY_SHARE_PERSONAL_INFO_TO_FRIENDS' = 51,
    'PRIVACY_ALLOW_SECONDARY_DEVICE_LOGIN' = 21,
    'PRIVACY_PROFILE_IMAGE_POST_TO_MYHOME' = 23,
    'PRIVACY_PROFILE_MUSIC_POST_TO_MYHOME' = 35,
    'PRIVACY_PROFILE_HISTORY' = 57,
    'PRIVACY_STATUS_MESSAGE_HISTORY' = 54,
    'PRIVACY_ALLOW_FRIEND_REQUEST' = 30,
    'PRIVACY_RECV_MESSAGES_FROM_NOT_FRIEND' = 25,
    'PRIVACY_AGREE_USE_LINECOIN_TO_PAIDCALL' = 26,
    'PRIVACY_AGREE_USE_PAIDCALL' = 27,
    'PRIVACY_AGE_RESULT' = 60,
    'PRIVACY_AGE_RESULT_RECEIVED' = 61,
    'PRIVACY_ALLOW_FOLLOW' = 63,
    'PRIVACY_SHOW_FOLLOW_LIST' = 64,
    'CONTACT_MY_TICKET' = 10,
    'IDENTITY_PROVIDER' = 11,
    'IDENTITY_IDENTIFIER' = 12,
    'SNS_ACCOUNT' = 19,
    'PHONE_REGISTRATION' = 20,
    'PREFERENCE_LOCALE' = 15,
    'CUSTOM_MODE' = 22,
    'EMAIL_CONFIRMATION_STATUS' = 24,
    'ACCOUNT_MIGRATION_PINCODE' = 28,
    'ENFORCED_INPUT_ACCOUNT_MIGRATION_PINCODE' = 29,
    'SECURITY_CENTER_SETTINGS' = 18,
    'E2EE_ENABLE' = 33,
    'HITOKOTO_BACKUP_REQUESTED' = 34,
    'CONTACT_ALLOW_FOLLOWING' = 36,
    'PRIVACY_ALLOW_NEARBY' = 37,
    'AGREEMENT_NEARBY' = 38,
    'AGREEMENT_SQUARE' = 39,
    'ALLOW_UNREGISTRATION_SECONDARY_DEVICE' = 41,
    'AGREEMENT_BOT_USE' = 42,
    'AGREEMENT_SHAKE_FUNCTION' = 43,
    'AGREEMENT_MOBILE_CONTACT_NAME' = 44,
    'AGREEMENT_SOUND_TO_TEXT' = 46,
    'AGREEMENT_PRIVACY_POLICY_VERSION' = 47,
    'AGREEMENT_AD_BY_WEB_ACCESS' = 48,
    'AGREEMENT_PHONE_NUMBER_MATCHING' = 49,
    'AGREEMENT_COMMUNICATION_INFO' = 50,
    'AGREEMENT_THINGS_WIRELESS_COMMUNICATION' = 52,
    'AGREEMENT_GDPR' = 53,
    'AGREEMENT_PROVIDE_LOCATION' = 55,
    'AGREEMENT_BEACON' = 56,
    'AGREEMENT_CONTENTS_SUGGEST' = 58,
    'AGREEMENT_CONTENTS_SUGGEST_DATA_COLLECTION' = 59,
    'AGREEMENT_OCR_IMAGE_COLLECTION' = 62
  };
  export enum SyncReason {
    'UNSPECIFIED' = 0,
    'UNKNOWN' = 1,
    'INITIALIZATION' = 2,
    'OPERATION' = 3,
    'FULL_SYNC' = 4,
    'AUTO_REPAIR' = 5,
    'MANUAL_REPAIR' = 6,
    'INTERNAL' = 7
  };
  export enum ContactType {
    'MID' = 0,
    'PHONE' = 1,
    'EMAIL' = 2,
    'USERID' = 3,
    'PROXIMITY' = 4,
    'GROUP' = 5,
    'USER' = 6,
    'QRCODE' = 7,
    'PROMOTION_BOT' = 8,
    'CONTACT_MESSAGE' = 9,
    'FRIEND_REQUEST' = 10,
    'REPAIR' = 128,
    'FACEBOOK' = 2305,
    'SINA' = 2306,
    'RENREN' = 2307,
    'FEIXIN' = 2308,
    'BBM' = 2309,
    'BEACON' = 11
  };
  export enum ContactStatus {
    'UNSPECIFIED' = 0,
    'FRIEND' = 1,
    'FRIEND_BLOCKED' = 2,
    'RECOMMEND' = 3,
    'RECOMMEND_BLOCKED' = 4,
    'DELETED' = 5,
    'DELETED_BLOCKED' = 6
  };
  export enum ContactRelation {
    'ONEWAY' = 0,
    'BOTH' = 1,
    'NOT_REGISTERED' = 2
  };
  export enum FriendRequestStatus {
    'NONE' = 0,
    'AVAILABLE' = 1,
    'ALREADY_REQUESTED' = 2,
    'UNAVAILABLE' = 3
  };
  export enum OpType {
    'END_OF_OPERATION' = 0,
    'UPDATE_PROFILE' = 1,
    'UPDATE_SETTINGS' = 36,
    'NOTIFIED_UPDATE_PROFILE' = 2,
    'REGISTER_USERID' = 3,
    'ADD_CONTACT' = 4,
    'NOTIFIED_ADD_CONTACT' = 5,
    'BLOCK_CONTACT' = 6,
    'UNBLOCK_CONTACT' = 7,
    'NOTIFIED_RECOMMEND_CONTACT' = 8,
    'CREATE_GROUP' = 9,
    'UPDATE_GROUP' = 10,
    'NOTIFIED_UPDATE_GROUP' = 11,
    'INVITE_INTO_GROUP' = 12,
    'NOTIFIED_INVITE_INTO_GROUP' = 13,
    'CANCEL_INVITATION_GROUP' = 31,
    'NOTIFIED_CANCEL_INVITATION_GROUP' = 32,
    'LEAVE_GROUP' = 14,
    'NOTIFIED_LEAVE_GROUP' = 15,
    'ACCEPT_GROUP_INVITATION' = 16,
    'NOTIFIED_ACCEPT_GROUP_INVITATION' = 17,
    'REJECT_GROUP_INVITATION' = 34,
    'NOTIFIED_REJECT_GROUP_INVITATION' = 35,
    'KICKOUT_FROM_GROUP' = 18,
    'NOTIFIED_KICKOUT_FROM_GROUP' = 19,
    'CREATE_ROOM' = 20,
    'INVITE_INTO_ROOM' = 21,
    'NOTIFIED_INVITE_INTO_ROOM' = 22,
    'LEAVE_ROOM' = 23,
    'NOTIFIED_LEAVE_ROOM' = 24,
    'SEND_MESSAGE' = 25,
    'RECEIVE_MESSAGE' = 26,
    'SEND_MESSAGE_RECEIPT' = 27,
    'RECEIVE_MESSAGE_RECEIPT' = 28,
    'SEND_CONTENT_RECEIPT' = 29,
    'SEND_CHAT_CHECKED' = 40,
    'SEND_CHAT_REMOVED' = 41,
    'RECEIVE_ANNOUNCEMENT' = 30,
    'INVITE_VIA_EMAIL' = 38,
    'NOTIFIED_REGISTER_USER' = 37,
    'NOTIFIED_UNREGISTER_USER' = 33,
    'NOTIFIED_REQUEST_RECOVERY' = 39,
    'NOTIFIED_FORCE_SYNC' = 42,
    'SEND_CONTENT' = 43,
    'SEND_MESSAGE_MYHOME' = 44,
    'NOTIFIED_UPDATE_CONTENT_PREVIEW' = 45,
    'REMOVE_ALL_MESSAGES' = 46,
    'NOTIFIED_UPDATE_PURCHASES' = 47,
    'DUMMY' = 48,
    'UPDATE_CONTACT' = 49,
    'NOTIFIED_RECEIVED_CALL' = 50,
    'CANCEL_CALL' = 51,
    'NOTIFIED_REDIRECT' = 52,
    'NOTIFIED_CHANNEL_SYNC' = 53,
    'FAILED_SEND_MESSAGE' = 54,
    'NOTIFIED_READ_MESSAGE' = 55,
    'FAILED_EMAIL_CONFIRMATION' = 56,
    'NOTIFIED_PUSH_NOTICENTER_ITEM' = 59,
    'NOTIFIED_CHAT_CONTENT' = 58,
    'NOTIFIED_JOIN_CHAT' = 60,
    'NOTIFIED_LEAVE_CHAT' = 61,
    'NOTIFIED_TYPING' = 62,
    'FRIEND_REQUEST_ACCEPTED' = 63,
    'DESTROY_MESSAGE' = 64,
    'NOTIFIED_DESTROY_MESSAGE' = 65,
    'UPDATE_PUBLICKEYCHAIN' = 66,
    'NOTIFIED_UPDATE_PUBLICKEYCHAIN' = 67,
    'NOTIFIED_BLOCK_CONTACT' = 68,
    'NOTIFIED_UNBLOCK_CONTACT' = 69,
    'UPDATE_GROUPPREFERENCE' = 70,
    'NOTIFIED_PAYMENT_EVENT' = 71,
    'REGISTER_E2EE_PUBLICKEY' = 72,
    'NOTIFIED_E2EE_KEY_EXCHANGE_REQ' = 73,
    'NOTIFIED_E2EE_KEY_EXCHANGE_RESP' = 74,
    'NOTIFIED_E2EE_MESSAGE_RESEND_REQ' = 75,
    'NOTIFIED_E2EE_MESSAGE_RESEND_RESP' = 76,
    'NOTIFIED_E2EE_KEY_UPDATE' = 77,
    'NOTIFIED_BUDDY_UPDATE_PROFILE' = 78,
    'NOTIFIED_UPDATE_LINEAT_TABS' = 79,
    'UPDATE_ROOM' = 80,
    'NOTIFIED_BEACON_DETECTED' = 81,
    'UPDATE_EXTENDED_PROFILE' = 82,
    'ADD_FOLLOW' = 83,
    'NOTIFIED_ADD_FOLLOW' = 84,
    'DELETE_FOLLOW' = 85,
    'NOTIFIED_DELETE_FOLLOW' = 86,
    'UPDATE_TIMELINE_SETTINGS' = 87,
    'NOTIFIED_FRIEND_REQUEST' = 88,
    'UPDATE_RINGBACK_TONE' = 89,
    'NOTIFIED_POSTBACK' = 90,
    'RECEIVE_READ_WATERMARK' = 91,
    'NOTIFIED_MESSAGE_DELIVERED' = 92,
    'NOTIFIED_UPDATE_CHAT_BAR' = 93,
    'NOTIFIED_CHATAPP_INSTALLED' = 94,
    'NOTIFIED_CHATAPP_UPDATED' = 95,
    'NOTIFIED_CHATAPP_NEW_MARK' = 96,
    'NOTIFIED_CHATAPP_DELETED' = 97,
    'NOTIFIED_CHATAPP_SYNC' = 98,
    'NOTIFIED_UPDATE_MESSAGE' = 99,
    'UPDATE_CHATROOMBGM' = 100,
    'NOTIFIED_UPDATE_CHATROOMBGM' = 101,
    'UPDATE_RINGTONE' = 102,
    'UPDATE_USER_SETTINGS' = 118,
    'NOTIFIED_UPDATE_STATUS_BAR' = 119,
    'CREATE_CHAT' = 120,
    'UPDATE_CHAT' = 121,
    'NOTIFIED_UPDATE_CHAT' = 122,
    'INVITE_INTO_CHAT' = 123,
    'NOTIFIED_INVITE_INTO_CHAT' = 124,
    'CANCEL_CHAT_INVITATION' = 125,
    'NOTIFIED_CANCEL_CHAT_INVITATION' = 126,
    'DELETE_SELF_FROM_CHAT' = 127,
    'NOTIFIED_DELETE_SELF_FROM_CHAT' = 128,
    'ACCEPT_CHAT_INVITATION' = 129,
    'NOTIFIED_ACCEPT_CHAT_INVITATION' = 130,
    'REJECT_CHAT_INVITATION' = 131,
    'DELETE_OTHER_FROM_CHAT' = 132,
    'NOTIFIED_DELETE_OTHER_FROM_CHAT' = 133
  };
  export enum OpStatus {
    'NORMAL' = 0,
    'ALERT_DISABLED' = 1,
    'ALWAYS' = 2
  };
  export enum MIDType {
    'USER' = 0,
    'ROOM' = 1,
    'GROUP' = 2,
    'SQUARE' = 3,
    'SQUARE_CHAT' = 4,
    'SQUARE_MEMBER' = 5,
    'BOT' = 6
  };
  export enum PlaceSearchProvider {
    'GOOGLE' = 0,
    'BAIDU' = 1,
    'FOURSQUARE' = 2
  };
  export enum ContentType {
    'NONE' = 0,
    'IMAGE' = 1,
    'VIDEO' = 2,
    'AUDIO' = 3,
    'HTML' = 4,
    'PDF' = 5,
    'CALL' = 6,
    'STICKER' = 7,
    'PRESENCE' = 8,
    'GIFT' = 9,
    'GROUPBOARD' = 10,
    'APPLINK' = 11,
    'LINK' = 12,
    'CONTACT' = 13,
    'FILE' = 14,
    'LOCATION' = 15,
    'POSTNOTIFICATION' = 16,
    'RICH' = 17,
    'CHATEVENT' = 18,
    'MUSIC' = 19,
    'PAYMENT' = 20,
    'EXTIMAGE' = 21,
    'FLEX' = 22
  };
  export enum MessageRelationType {
    'FORWARD' = 0,
    'AUTO_REPLY' = 1,
    'SUBORDINATE' = 2,
    'REPLY' = 3
  };
  export enum ServiceCode {
    'UNKNOWN' = 0,
    'TALK' = 1,
    'SQUARE' = 2
  };
  export enum AppExtensionType {
    'SIRI' = 1,
    'GOOGLE_ASSISTANT' = 2,
    'OS_SHARE' = 3
  };
  export enum ChatAttribute {
    'NAME' = 1,
    'PICTURE_STATUS' = 2,
    'PREVENTED_JOIN_BY_TICKET' = 4,
    'NOTIFICATION_SETTING' = 8,
    'INVITATION_TICKET' = 16,
    'FAVORITE_TIMESTAMP' = 32,
    'CHAT_TYPE' = 64
  };
  export enum ChatType {
    'GROUP' = 0,
    'ROOM' = 1,
    'PEER' = 2
  };
  export enum IdentityProvider {
    'UNKNOWN' = 0,
    'LINE' = 1,
    'NAVER_KR' = 2,
    'LINE_PHONE' = 3
  };
  export enum CountryGroup {
    'UNKNOWN' = 0,
    'EUROPEAN_ECONOMIC_AREA' = 1
  };
  export enum VerificationMethod {
    'NO_AVAILABLE' = 0,
    'PIN_VIA_SMS' = 1,
    'CALLERID_INDIGO' = 2,
    'PIN_VIA_TTS' = 4,
    'SKIP' = 10
  };
  export enum CarrierCode {
    'NOT_SPECIFIED' = 0,
    'JP_DOCOMO' = 1,
    'JP_AU' = 2,
    'JP_SOFTBANK' = 3,
    'KR_SKT' = 17,
    'KR_KT' = 18,
    'KR_LGT' = 19,
    'JP_DOCOMO_LINE' = 4,
    'JP_SOFTBANK_LINE' = 5,
    'JP_AU_LINE' = 6
  };
  export enum ApplicationType {
    'IOS' = 16,
    'IOS_RC' = 17,
    'IOS_BETA' = 18,
    'IOS_ALPHA' = 19,
    'ANDROID' = 32,
    'ANDROID_RC' = 33,
    'ANDROID_BETA' = 34,
    'ANDROID_ALPHA' = 35,
    'WAP' = 48,
    'WAP_RC' = 49,
    'WAP_BETA' = 50,
    'WAP_ALPHA' = 51,
    'BOT' = 64,
    'BOT_RC' = 65,
    'BOT_BETA' = 66,
    'BOT_ALPHA' = 67,
    'WEB' = 80,
    'WEB_RC' = 81,
    'WEB_BETA' = 82,
    'WEB_ALPHA' = 83,
    'DESKTOPWIN' = 96,
    'DESKTOPWIN_RC' = 97,
    'DESKTOPWIN_BETA' = 98,
    'DESKTOPWIN_ALPHA' = 99,
    'DESKTOPMAC' = 112,
    'DESKTOPMAC_RC' = 113,
    'DESKTOPMAC_BETA' = 114,
    'DESKTOPMAC_ALPHA' = 115,
    'CHANNELGW' = 128,
    'CHANNELGW_RC' = 129,
    'CHANNELGW_BETA' = 130,
    'CHANNELGW_ALPHA' = 131,
    'CHANNELCP' = 144,
    'CHANNELCP_RC' = 145,
    'CHANNELCP_BETA' = 146,
    'CHANNELCP_ALPHA' = 147,
    'WINPHONE' = 160,
    'WINPHONE_RC' = 161,
    'WINPHONE_BETA' = 162,
    'WINPHONE_ALPHA' = 163,
    'BLACKBERRY' = 176,
    'BLACKBERRY_RC' = 177,
    'BLACKBERRY_BETA' = 178,
    'BLACKBERRY_ALPHA' = 179,
    'WINMETRO' = 192,
    'WINMETRO_RC' = 193,
    'WINMETRO_BETA' = 194,
    'WINMETRO_ALPHA' = 195,
    'S40' = 208,
    'S40_RC' = 209,
    'S40_BETA' = 210,
    'S40_ALPHA' = 211,
    'CHRONO' = 224,
    'CHRONO_RC' = 225,
    'CHRONO_BETA' = 226,
    'CHRONO_ALPHA' = 227,
    'TIZEN' = 256,
    'TIZEN_RC' = 257,
    'TIZEN_BETA' = 258,
    'TIZEN_ALPHA' = 259,
    'VIRTUAL' = 272,
    'FIREFOXOS' = 288,
    'FIREFOXOS_RC' = 289,
    'FIREFOXOS_BETA' = 290,
    'FIREFOXOS_ALPHA' = 291,
    'IOSIPAD' = 304,
    'IOSIPAD_RC' = 305,
    'IOSIPAD_BETA' = 306,
    'IOSIPAD_ALPHA' = 307,
    'BIZIOS' = 320,
    'BIZIOS_RC' = 321,
    'BIZIOS_BETA' = 322,
    'BIZIOS_ALPHA' = 323,
    'BIZANDROID' = 336,
    'BIZANDROID_RC' = 337,
    'BIZANDROID_BETA' = 338,
    'BIZANDROID_ALPHA' = 339,
    'BIZBOT' = 352,
    'BIZBOT_RC' = 353,
    'BIZBOT_BETA' = 354,
    'BIZBOT_ALPHA' = 355,
    'CHROMEOS' = 368,
    'CHROMEOS_RC' = 369,
    'CHROMEOS_BETA' = 370,
    'CHROMEOS_ALPHA' = 371,
    'ANDROIDLITE' = 384,
    'ANDROIDLITE_RC' = 385,
    'ANDROIDLITE_BETA' = 386,
    'ANDROIDLITE_ALPHA' = 387,
    'WIN10' = 400,
    'WIN10_RC' = 401,
    'WIN10_BETA' = 402,
    'WIN10_ALPHA' = 403,
    'BIZWEB' = 416,
    'BIZWEB_RC' = 417,
    'BIZWEB_BETA' = 418,
    'BIZWEB_ALPHA' = 419,
    'DUMMYPRIMARY' = 432,
    'DUMMYPRIMARY_RC' = 433,
    'DUMMYPRIMARY_BETA' = 434,
    'DUMMYPRIMARY_ALPHA' = 435,
    'SQUARE' = 448,
    'SQUARE_RC' = 449,
    'SQUARE_BETA' = 450,
    'SQUARE_ALPHA' = 451,
    'INTERNAL' = 464,
    'INTERNAL_RC' = 465,
    'INTERNAL_BETA' = 466,
    'INTERNAL_ALPHA' = 467,
    'CLOVAFRIENDS' = 480,
    'CLOVAFRIENDS_RC' = 481,
    'CLOVAFRIENDS_BETA' = 482,
    'CLOVAFRIENDS_ALPHA' = 483,
    'WATCHOS' = 496,
    'WATCHOS_RC' = 497,
    'WATCHOS_BETA' = 498,
    'WATCHOS_ALPHA' = 499
  };
  export enum VerificationResult {
    'FAILED' = 0,
    'OK_NOT_REGISTERED_YET' = 1,
    'OK_REGISTERED_WITH_SAME_DEVICE' = 2,
    'OK_REGISTERED_WITH_ANOTHER_DEVICE' = 3
  };
  export enum AccountMigrationCheckType {
    'SKIP' = 0,
    'PINCODE' = 1,
    'SECURITY_CENTER' = 2
  };
  export enum ProfileHistoryPrivacyType {
    'OWNER' = 0,
    'FRIEND' = 1
  };
  export enum StatusMessageHistoryPrivacyType {
    'NONE' = 1,
    'ALL' = 2
  };
  export enum PrivacyShareMyProfileType {
    'NEVER_SHOW' = 0,
    'ONE_WAY' = 1,
    'MUTUAL' = 2
  };
  export enum UserAgeType {
    'OVER' = 1,
    'UNDER' = 2,
    'UNDEFINED' = 3
  };
  export enum SnsIdType {
    'FACEBOOK' = 1,
    'SINA' = 2,
    'RENREN' = 3,
    'FEIXIN' = 4,
    'BBM' = 5,
    'APPLE' = 6
  };
  export enum EmailConfirmationStatus {
    'NOT_SPECIFIED' = 0,
    'NOT_YET' = 1,
    'DONE' = 3,
    'NEED_ENFORCED_INPUT' = 4
  };
  export enum AccountMigrationPincodeType {
    'NOT_APPLICABLE' = 0,
    'NOT_SET' = 1,
    'SET' = 2,
    'NEED_ENFORCED_INPUT' = 3
  };
  export enum SecurityCenterSettingsType {
    'NOT_APPLICABLE' = 0,
    'NOT_SET' = 1,
    'SET' = 2,
    'NEED_ENFORCED_INPUT' = 3
  };
  export enum CustomMode {
    'PROMOTION_FRIENDS_INVITE' = 1,
    'CAPABILITY_SERVER_SIDE_SMS' = 2,
    'LINE_CLIENT_ANALYTICS_CONFIGURATION' = 3
  };
  export enum ModificationType {
    'ADD' = 0,
    'REMOVE' = 1,
    'MODIFY' = 2
  };
  export enum ContactSetting {
    'CONTACT_SETTING_NOTIFICATION_DISABLE' = 1,
    'CONTACT_SETTING_DISPLAY_NAME_OVERRIDE' = 2,
    'CONTACT_SETTING_CONTACT_HIDE' = 4,
    'CONTACT_SETTING_FAVORITE' = 8,
    'CONTACT_SETTING_DELETE' = 16
  };
  export enum NotificationType {
    'APPLE_APNS' = 1,
    'GOOGLE_C2DM' = 2,
    'NHN_NNI' = 3,
    'SKT_AOM' = 4,
    'MS_MPNS' = 5,
    'RIM_BIS' = 6,
    'GOOGLE_GCM' = 7,
    'NOKIA_NNAPI' = 8,
    'TIZEN' = 9,
    'MOZILLA_SIMPLE' = 10,
    'LINE_BOT' = 17,
    'LINE_WAP' = 18,
    'APPLE_APNS_VOIP' = 19,
    'MS_WNS' = 20,
    'GOOGLE_FCM' = 21,
    'CLOVA' = 22,
    'CLOVA_VOIP' = 23,
    'HUAWEI_HCM' = 24
  };